List Input
==========

Functionality
-------------

Provides a way to creat a flat list of *Integers*, *Floats*, or *Vectors*. 
The length of the list is hardcoded to a maximum of **32** elements for integer or float and **10** vectors, 
we believe that if you need  more then you should use a Text File and the Text In node.

Parameters
----------

The value input fields change according to the Mode choice.


Output
-------

A single *flat* ``list``.



Examples
--------

Useful when you have no immediate need to generate such lists programmatically.

.. image:: https://cloud.githubusercontent.com/assets/619340/4186017/0f076f00-375d-11e4-92ce-30af77e41307.PNG
  :alt: ListInputDemo1.PNG

.. image:: https://cloud.githubusercontent.com/assets/619340/4186018/0f61f4b6-375d-11e4-99c8-6f7ef62598b3.PNG
  :alt: ListInputDemo2.PNG
  
